--[[
************************************************************************
Project				: SKG
Author				: zhinjio
Project Revision	: 3.1.5-alpha
Project Date		: 20090422075512

File				: SKG_GUI_Help.lua
Commit Author		: zhinjio
Commit Revision		: 118
Commit Date			: 20081030164922
************************************************************************
Description	:
	This file contained the definition of the help frame.

TODO		:

************************************************************************
(see bottom of file for changelog)
************************************************************************
--]]
local SKG = LibStub( "AceAddon-3.0"):GetAddon( "SKG" )
local SKGL = LibStub( "AceLocale-3.0"):GetLocale( "SKG" )

-- Function for switching help text
function SKG:HelpTextSwitcher( value )
	if ( value == 21 ) then
		SKG_HF_HelpText:SetJustifyH( "CENTER" )
	else
		SKG_HF_HelpText:SetJustifyH( "LEFT" )
	end

	SKG_HF_HelpText:SetText( SKGL[ SKG_HelpMap[ value ] ] )
	Dewdrop:Close()
end
-- options tables for menus...

SKG.HelpTopicOptions = {
	type = "group",
	handler = SKG,
	args = { },
}

for index = 1,SKG_Help_NumOptions do
	local t = {
		type = "execute",
		name = SKGL[ "SKG_HELPMENU_" .. index ],
		desc = SKGL[ "SKG_HELPMENU_" .. index ],
		func = "HelpTextSwitcher",
		passValue = index,
		order = 100 + index,
	}
	tinsert( SKG.HelpTopicOptions.args, t )
end

-- Help Frame Creation

SKG_HelpFrame = CreateFrame( "Frame", "SKG_HelpFrame", SKG_Frame )
	SKG_HelpFrame:SetClampedToScreen( true )
	SKG_HelpFrame:SetHeight( 371 )
	SKG_HelpFrame:SetWidth( 265 )
	SKG_HelpFrame:SetPoint( "TOPLEFT", SKG_Frame, "TOPRIGHT", -5, -50 )
	SKG_HelpFrame:EnableMouse( true )
	SKG_HelpFrame:SetMovable( true )
	SKG_HelpFrame:SetFrameLevel( 1 )
	SKG_HelpFrame:SetFrameStrata( "BACKGROUND" )
	SKG_HelpFrame:SetHitRectInsets( 15, 5, 15, 300 )
	SKG_HelpFrame:Hide()

	local SKG_HF_Texture = SKG_HelpFrame:CreateTexture( "SKG_HF_Texture", "ARTWORK" )
		SKG_HF_Texture:SetTexture( [[Interface\Addons\SKG\BLP\HelpFrame_Texture]] )
		SKG_HF_Texture:SetAllPoints( SKG_HelpFrame )
		SKG_HF_Texture:SetTexCoord( (( 512 - 265 ) / 512 ), 1, 0, ( 371 / 512 ) )

	local SKG_HF_TitleText = SKG_HelpFrame:CreateFontString( "SKG_HF_TitleText", "OVERLAY", "GameFontHighlight" )
		SKG_HF_TitleText:SetText( SKGL["SKG_LBL_HF_TITLE_TEXT"] )
		SKG_HF_TitleText:SetPoint( "TOP", SKG_HelpFrame, "TOP", 0, -3 )
		SKG_HF_TitleText:SetJustifyH( "CENTER" )
		SKG_HF_TitleText:SetHeight( 14 )
		SKG_HF_TitleText:SetWidth( 200 )

	local SKG_HF_HelpText = SKG_HelpFrame:CreateFontString( "SKG_HF_HelpText", "OVERLAY", "GameFontNormalSmall" )
		SKG_HF_HelpText:SetText( SKGL[ SKG_HelpMap[1] ] )
		SKG_HF_HelpText:SetFont( [[Fonts\ARIALN.TTF]], 11 )
		SKG_HF_HelpText:SetPoint( "TOPLEFT", SKG_HelpFrame, "TOPLEFT", 20, -65 )
		SKG_HF_HelpText:SetJustifyH( "LEFT" )
		SKG_HF_HelpText:SetJustifyV( "TOP" )


		SKG_HF_HelpText:SetHeight( 330 )
		SKG_HF_HelpText:SetWidth( 230 )

	local SKG_HF_TopicChooser = SKG_CreateButton("SKG_HF_TopicChooser", SKG_HelpFrame, 20, 210,
		"TOP", SKG_HelpFrame, "TOP", 0, -30, "GameFontNormalSmall", "GameFontHighlightSmall",
		SKGL["SKG_LBL_HF_CHOOSER_TEXT"], "CENTER", "SKG_HF_CHOOSER_TT" )

		SKG_HF_TopicChooser:SetScript( "OnClick",
			function()
				Dewdrop:Register( this,
					'children', SKG.HelpTopicOptions,
					'dontHook', true,
					'point', "TOPLEFT",
					'relativePoint', "BOTTOMLEFT"
				)
				this:SetScript( "OnClick",
					function()
						if Dewdrop:IsOpen( this ) then
							Dewdrop:Close()
						else
							Dewdrop:Open( this )
						end
					end
				)
				this:GetScript( "OnClick" )()
			end
		)

-- OnLoad stuff here

--[[
************************************************************************
CHANGELOG:

Date : 10/25/08
	Initial attempt with Ace3 instead of LibRock. Added header/footer.
************************************************************************
]]--
